# pst_desc_tree Struct Reference

`#include <libpst/libpst.h>`

Collaboration diagram for pst_desc_tree:
[legend]

## Data Fields
uint64_t | d_id
uint64_t | parent_d_id
pst_index_ll * | desc
pst_index_ll * | assoc_tree
int32_t | no_child
struct pst_desc_tree * | prev
struct pst_desc_tree * | next
struct pst_desc_tree * | parent
struct pst_desc_tree * | child
struct pst_desc_tree * | child_tail

## Detailed Description

Definition at line 120 of file libpst.h.

## Field Documentation

pst_index_ll* pst_desc_tree::assoc_tree

Definition at line 124 of file libpst.h.

struct pst_desc_tree* pst_desc_tree::child`[read]`

Definition at line 129 of file libpst.h.

struct pst_desc_tree* pst_desc_tree::child_tail`[read]`

Definition at line 130 of file libpst.h.

uint64_t pst_desc_tree::d_id

Definition at line 121 of file libpst.h.

pst_index_ll* pst_desc_tree::desc

Definition at line 123 of file libpst.h.

struct pst_desc_tree* pst_desc_tree::next`[read]`

Definition at line 127 of file libpst.h.

int32_t pst_desc_tree::no_child

Definition at line 125 of file libpst.h.

struct pst_desc_tree* pst_desc_tree::parent`[read]`

Definition at line 128 of file libpst.h.

uint64_t pst_desc_tree::parent_d_id

Definition at line 122 of file libpst.h.

struct pst_desc_tree* pst_desc_tree::prev`[read]`

Definition at line 126 of file libpst.h.

The documentation for this struct was generated from the following file:

- libpst/libpst.h